summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rwxr-xr-xci/install-dependencies.sh8
-rwxr-xr-xci/print-test-failures.sh2
2 files changed, 5 insertions, 5 deletions
diff --git a/ci/install-dependencies.sh b/ci/install-dependencies.sh
index 0229a77f7d..0b1184e04a 100755
--- a/ci/install-dependencies.sh
+++ b/ci/install-dependencies.sh
@@ -44,13 +44,13 @@ osx-clang|osx-gcc)
test -z "$BREW_INSTALL_PACKAGES" ||
brew install $BREW_INSTALL_PACKAGES
brew link --force gettext
- brew cask install --no-quarantine perforce || {
+ brew install --cask --no-quarantine perforce || {
# Update the definitions and try again
cask_repo="$(brew --repository)"/Library/Taps/homebrew/homebrew-cask &&
- git -C "$cask_repo" pull --no-stat &&
- brew cask install --no-quarantine perforce
+ git -C "$cask_repo" pull --no-stat --ff-only &&
+ brew install --cask --no-quarantine perforce
} ||
- brew install caskroom/cask/perforce
+ brew install homebrew/cask/perforce
case "$jobname" in
osx-gcc)
brew install gcc@9
diff --git a/ci/print-test-failures.sh b/ci/print-test-failures.sh
index 92a983a265..c70d6cdbf2 100755
--- a/ci/print-test-failures.sh
+++ b/ci/print-test-failures.sh
@@ -48,7 +48,7 @@ do
;;
github-actions)
mkdir -p failed-test-artifacts
- echo "::set-env name=FAILED_TEST_ARTIFACTS::t/failed-test-artifacts"
+ echo "FAILED_TEST_ARTIFACTS=t/failed-test-artifacts" >>$GITHUB_ENV
cp "${TEST_EXIT%.exit}.out" failed-test-artifacts/
tar czf failed-test-artifacts/"$test_name".trash.tar.gz "$trash_dir"
continue